> For the complete documentation index, see [llms.txt](https://docs.squidrouter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squidrouter.com/api-and-sdk-integration/key-concepts/wallet-history.md).

# Wallet History

#### API Endpoint

<table data-header-hidden><thead><tr><th width="111.24609375"></th><th></th></tr></thead><tbody><tr><td><strong>Method</strong></td><td><strong>Endpoint</strong></td></tr><tr><td><code>GET</code></td><td><code>https://v2.api.squidrouter.com/v2/history/wallet</code></td></tr></tbody></table>

#### Parameters

| **Parameter**     | **Type** | **Required** | **Description**                                                         |
| ----------------- | -------- | ------------ | ----------------------------------------------------------------------- |
| `address`         | `string` | Yes          | The EVM or Cosmos wallet address to query.                              |
| `x-integrator-id` | `header` | Yes          | Your unique integrator ID. Requests count toward your Rate Limit (RPS). |

#### Key Features

* Global History: Returns all transactions associated with the wallet across all integrators.
* Time Range: Returns history for the last 3 months.
* No Pagination: This endpoint returns the full result set in a single response.

#### Example Request

```
curl --location 'https://v2.api.squidrouter.com/v2/history/wallet?address=ADD_ADDRESS_HERE' \
--header 'x-integrator-id: your-integrator-id'
```

```
const getWalletHistory = async (address, integratorId) => {
  try {
    const result = await axios.get("https://v2.api.squidrouter.com/v2/history/wallet", {
      params: { address },
      headers: { "x-integrator-id": integratorId },
    });
    return result.data;
  } catch (error) {
    console.error("Error fetching history:", error.response?.data || error.message);
    throw error;
  }
};
```

#### Example Response

```
[
    {
        "transactionId": "0x081e2b20246ce3a6798e617b12e9bbe45d4487441cfab6273422dbd69f56c501",
        "bridgeType": "rfq",
        "createdAt": "2026-01-13T22:41:03.988Z",
        "fromChainId": "999",
        "quote": {
            "route": {
                "estimate": {
                    "fromAmount": "3916444925567914",
                    "toAmount": "90851975792151072",
                    "fromAmountUSD": "0.09",
                    "toAmountUSD": "0.09",
                    "fromToken": {
                        "address": "0x5555555555555555555555555555555555555555",
                        "chainId": "999",
                        "decimals": 18,
                        "logoURI": "https://raw.githubusercontent.com/0xsquid/assets/main/images/tokens/whype.svg",
                        "name": "Wrapped HYPE",
                        "symbol": "WHYPE",
                        "coingeckoId": "wrapped-hype",
                        "usdPrice": 25.169077678,
                        "type": "evm"
                    },
                    "toToken": {
                        "address": "0x55d398326f99059ff775485246999027b3197955",
                        "chainId": "56",
                        "decimals": 18,
                        "logoURI": "https://raw.githubusercontent.com/0xsquid/assets/main/images/tokens/usdt.svg",
                        "name": "USDT",
                        "symbol": "USDT",
                        "coingeckoId": "tether",
                        "usdPrice": 0.9998056774098082,
                        "type": "evm"
                    },
                    "estimatedRouteDuration": 10
                }
            }
        },
        "quoteId": "bb398cb754d3015474ad673658845af1",
        "statusResponse": {
            "id": "0x081e2b20246ce3a6798e617b12e9bbe45d4487441cfab6273422dbd69f56c501",
            "status": "success",
            "squidTransactionStatus": "success",
            "transactionUrl": "https://hyperevmscan.io/tx/0x081e2b20246ce3a6798e617b12e9bbe45d4487441cfab6273422dbd69f56c501"
        },
        "toChainId": "56",
        "updatedAt": "2026-01-13T22:41:03.988Z",
        "totalFeesUSD": 0.008399678805983213
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.squidrouter.com/api-and-sdk-integration/key-concepts/wallet-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
